Skip to main content
GET
/
workspaces
/
{workspace_id}
/
workflow-executions
/
{execution_id}
Error
A valid request URL is required to generate request examples
{
  "id": "<string>",
  "run_id": "<string>",
  "start_time": "2023-11-07T05:31:56Z",
  "workflow_type": "<string>",
  "task_queue": "<string>",
  "history_length": 123,
  "events": [
    {
      "event_id": 123,
      "event_time": "2023-11-07T05:31:56Z",
      "task_id": 123,
      "event_group": {
        "event_id": 123,
        "udf_namespace": "<string>",
        "udf_name": "<string>",
        "udf_key": "<string>",
        "action_input": {
          "task": {
            "ref": "<string>",
            "action": "<string>",
            "description": "",
            "args": {},
            "depends_on": [
              "<string>"
            ],
            "interaction": {
              "type": "<string>",
              "timeout": 123
            },
            "run_if": "<string>",
            "for_each": "<string>",
            "retry_policy": {
              "max_attempts": 1,
              "timeout": 300,
              "retry_until": "<string>"
            },
            "start_delay": 0,
            "wait_until": "<string>",
            "join_strategy": "all",
            "environment": "<string>",
            "mask_output": false
          },
          "exec_context": {
            "ACTIONS": {},
            "TRIGGER": {
              "type": "<string>",
              "data": "<unknown>",
              "typename": "<string>"
            },
            "ENV": {
              "workflow": {},
              "environment": "<string>",
              "variables": {},
              "registry_version": "<string>"
            },
            "SECRETS": {},
            "VARS": {},
            "var": {}
          },
          "run_context": {
            "wf_id": "<string>",
            "wf_exec_id": "<string>",
            "wf_run_id": "<string>",
            "environment": "<string>",
            "logical_time": "2023-11-07T05:31:56Z"
          },
          "registry_lock": {
            "origins": {},
            "actions": {},
            "origin_fingerprints": {}
          },
          "interaction_context": {
            "interaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "execution_id": "<string>",
            "action_ref": "<string>"
          },
          "stream_id": "<root>:0",
          "session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
        },
        "action_id": "<string>",
        "action_ref": "<string>",
        "action_title": "<string>",
        "action_description": "<string>",
        "action_result": null,
        "current_attempt": 123,
        "retry_policy": {
          "max_attempts": 1,
          "timeout": 300,
          "retry_until": "<string>"
        },
        "start_delay": 0,
        "join_strategy": "all",
        "related_wf_exec_id": "<string>"
      },
      "failure": {
        "message": "<string>",
        "cause": {},
        "root_cause_message": "<string>"
      },
      "result": null,
      "role": {
        "workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "bound_workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "service_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "is_platform_superuser": false,
        "scopes": [
          "<string>"
        ]
      },
      "parent_wf_exec_id": "<string>",
      "workflow_timeout": 123
    }
  ],
  "execution_time": "2023-11-07T05:31:56Z",
  "close_time": "2023-11-07T05:31:56Z",
  "parent_wf_exec_id": "<string>",
  "execution_type": "published",
  "interactions": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "request_payload": {},
      "response_payload": {},
      "wf_exec_id": "<string>",
      "actor": "<string>",
      "action_ref": "<string>",
      "action_type": "<string>",
      "expires_at": "2023-11-07T05:31:56Z"
    }
  ]
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

fastapiusersauth
string
cookie
required

Path Parameters

workspace_id
string<uuid>
required
execution_id
string
required

Response

Successful Response

id
string
required

The ID of the workflow execution

run_id
string
required

The run ID of the workflow execution

start_time
string<date-time>
required

The start time of the workflow execution

status
enum<string>
required
Available options:
RUNNING,
COMPLETED,
FAILED,
CANCELED,
TERMINATED,
CONTINUED_AS_NEW,
TIMED_OUT
workflow_type
string
required
task_queue
string
required
history_length
integer
required

Number of events in the history

trigger_type
enum<string>
required

Trigger type for a workflow execution.

Available options:
manual,
scheduled,
webhook,
case
events
WorkflowExecutionEvent · object[]
required

The events in the workflow execution

execution_time
string<date-time> | null

When this workflow run started or should start.

close_time
string<date-time> | null

When the workflow was closed if closed.

parent_wf_exec_id
string | null
Pattern: (wf-[0-9a-f]{32}|wf_[0-9a-zA-Z]+)[:/]((exec_[0-9a-zA-Z]+|exec-[\w-]+|(?:sch-[0-9a-f]{32}|[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12})-.*))
execution_type
enum<string>
default:published

Execution type (draft or published). Draft uses the draft workflow graph.

Available options:
draft,
published
interactions
InteractionRead · object[]

The interactions in the workflow execution